cURL
curl --request GET \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}oauth
Get oauthclient
Get the OAuth application
GET
/
oauth
/
client
/
{clientId}
cURL
curl --request GET \
--url https://app.teable.ai/api/oauth/client/%7BclientId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"clientId": "<string>",
"name": "<string>",
"homepage": "<string>",
"redirectUris": [
"<string>"
],
"secrets": [
{
"id": "<string>",
"secret": "<string>",
"lastUsedTime": "<string>"
}
],
"scopes": [
"<string>"
],
"logo": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on March 5, 2026
Was this page helpful?
⌘I

